{
	saved_FirstTime[0]

	GiveRandomWeapon[ ()
	{
		gun = Random(1,3);
		switch(gun)
		{
			case 1 { GiveWeapon(56); } // MP44
			case 2 { GiveWeapon(53); } // Kar98k
			case 3 { GiveWeapon(55); } // MP40
		}
	}]

	Init[ ()
	{
		if(saved_FirstTime=0)
		{
			saved_FirstTime=1;


			GiveRandomWeapon();
			SetCrouching();
			PlayAnimation(10); // 8 is idle, 10 is aim
			TurnTo(Level.GetPlayer());

			SetNationality(1);
			GoPatrol();
		}
	}]

	GoPatrol[()
	{
		SetState_Patrol(0);
		SetAttackDistance( 32, 8 );
		SetLineOfSight( 2, 120 );
		SetWander(0);
	}]
}